<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
<head>
    <meta charset="UTF-8"/>
    <f:metadata>
        <f:viewAction action="#{templateController.checkUserLoggedIn}"/>
    </f:metadata>
    <title>OmniDoc</title>
    <style>
        body {
            background-color: rgba(18, 32, 52, 0.88);
            font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
            color: black;
        }

        input {
            padding: 5px;
            border-radius: 3px;
            border: 1px solid #cecece;
            background-color: #fff;
            box-shadow: 2px 2px 5px #c3c3c3;
        }

        input:focus{
            border: 1px solid #746969;
        }

        .center {
            margin: auto;
            text-align: center;
        }

        .card {
            margin: -70px 0 0 -170px;
            position: absolute;
            top: 50%;
            left: 50%;
            width: 300px;

            background-color: rgb(255, 255, 255);
            border-bottom: 3px solid #9E9E9E;
            box-shadow: 10px 10px 5px;
            padding: 20px;
            padding-bottom: 30px;
        }

        .yellow {
            color: rgb(255, 144, 18);
            display: inline;
        }

        .white {
            color: rgba(18, 32, 52, 0.88);
            display: inline;
        }

        .btn-submit {
            width: 100%;
            background-color: rgb(255, 144, 18);;
            padding: 5px;
            border: unset;
        }

        .error {
            font-weight: bold;
            color: red;
            font-size: 1.5em;
        }
    </style>
</head>
<body>
<div class="card center">
    <div id="header">
        <h1>
            <div class="yellow">Omni</div>
            <div class="white">Doc</div>
        </h1>
    </div>
    <div id="content">
        <form method="POST" action="j_security_check">
            <table class="center">
                <tbody>
                <tr>
                    <td>
                        <label for="username">#{msg['username']}</label>
                    </td>
                    <td>
                        <input id="username" name="j_username"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <label for="password">#{msg['password']}</label>
                    </td>
                    <td>
                        <input id="password" type="password" name="j_password"/>
                    </td>
                </tr>
                <tr>
                    <td/>
                    <td>
                        <input type="submit" class="btn-submit" value="#{msg['login']}"/>
                    </td>
                </tr>
                </tbody>
            </table>
        </form>
    </div>
    <hr/>
    <div class="error">#{msg['login.error']}</div>
</div>
</body>
</html>

